import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { StaffCountOutputTypeCountAppointmentsArgsObjectSchema as StaffCountOutputTypeCountAppointmentsArgsObjectSchema } from './StaffCountOutputTypeCountAppointmentsArgs.schema';
import { StaffCountOutputTypeCountClaimsArgsObjectSchema as StaffCountOutputTypeCountClaimsArgsObjectSchema } from './StaffCountOutputTypeCountClaimsArgs.schema'

const makeSchema = () => z.object({
  appointments: z.union([z.boolean(), z.lazy(() => StaffCountOutputTypeCountAppointmentsArgsObjectSchema)]).optional(),
  claims: z.union([z.boolean(), z.lazy(() => StaffCountOutputTypeCountClaimsArgsObjectSchema)]).optional()
}).strict();
export const StaffCountOutputTypeSelectObjectSchema: z.ZodType<Prisma.StaffCountOutputTypeSelect> = makeSchema() as unknown as z.ZodType<Prisma.StaffCountOutputTypeSelect>;
export const StaffCountOutputTypeSelectObjectZodSchema = makeSchema();
